curl https://nest.feather.mupeni.dev/v1/projects/proj_01hx... \
-H "Authorization: Bearer <server_key>"
{
"id": "proj_01hx...",
"orgId": "org_01hx...",
"name": "My App",
"slug": "my-app",
"createdAt": "2024-03-01T12:00:00.000Z",
"environments": [
{ "id": "env_01hx...", "name": "Production", "slug": "production", "color": "#ef4444", "protected": false, "createdAt": "2024-03-01T12:00:00.000Z" }
]
}
{
"error": { "code": "RESOURCE_NOT_FOUND", "message": "Project not found." }
}
Projects
Get Project
Returns a single project with its environments.
GET
/
v1
/
projects
/
{projectId}
curl https://nest.feather.mupeni.dev/v1/projects/proj_01hx... \
-H "Authorization: Bearer <server_key>"
{
"id": "proj_01hx...",
"orgId": "org_01hx...",
"name": "My App",
"slug": "my-app",
"createdAt": "2024-03-01T12:00:00.000Z",
"environments": [
{ "id": "env_01hx...", "name": "Production", "slug": "production", "color": "#ef4444", "protected": false, "createdAt": "2024-03-01T12:00:00.000Z" }
]
}
{
"error": { "code": "RESOURCE_NOT_FOUND", "message": "Project not found." }
}
Path parameters
string
required
The project ID.
Response
Returns the project object with anenvironments array.
curl https://nest.feather.mupeni.dev/v1/projects/proj_01hx... \
-H "Authorization: Bearer <server_key>"
{
"id": "proj_01hx...",
"orgId": "org_01hx...",
"name": "My App",
"slug": "my-app",
"createdAt": "2024-03-01T12:00:00.000Z",
"environments": [
{ "id": "env_01hx...", "name": "Production", "slug": "production", "color": "#ef4444", "protected": false, "createdAt": "2024-03-01T12:00:00.000Z" }
]
}
{
"error": { "code": "RESOURCE_NOT_FOUND", "message": "Project not found." }
}
⌘I